summary {
    padding: 10px;
    border-bottom: 1px solid var(--cds-color-border-default);
    margin: 10px 0;
    cursor: pointer;
}

details>summary {
    font-family: 'NettoProBold';
    list-style-type: '';
}

details[open]>summary {
    list-style-type: '';
}


a.default {
    color: var(--cds-color-text-default);

    &:hover {
        color: var(--cds-color-text-default-hover);
    }
}

a.subtle {
    color: var(--cds-color-text-subtle);

    &:hover {
        color: var(--cds-color-text-subtle-hover);
    }
}

a.muted {
    color: var(--cds-color-text-muted);

    &:hover {
        color: var(--cds-color-text-muted-hover);
    }
}

a.surface {
    color: var(--cds-color-text-surface);

    &:hover {
        color: var(--cds-color-text-surface-hover);
    }
}

a.inverted {
    color: var(--cds-color-text-inverted);

    &:hover {
        color: var(--cds-color-text-inverted);
    }
}

.sticky {
    position: sticky;
    top: 0;
    padding: 20px 0;
    background-color: var(--cds-color-background-default);
    border-bottom: 1px solid var(--cds-color-border-default);
    z-index: 2;
}

.icobox {
    display: inline-flex;
    padding: 0.75rem;
    background-color: var(--cds-color-background-deep);
    border-radius: 0.25rem;

    &:hover {
        background-color: var(--cds-color-text-default);

        &>span {
            color: var(--cds-color-background-default);
        }
    }
}

.switch-field {
    display: flex;
    margin-bottom: 36px;
    overflow: hidden;
}

.switch-field input {
    position: absolute !important;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    width: 1px;
    border: 0;
    overflow: hidden;
}

.switch-field label {
    background-color: var(--cds-color-background-default);
    color: var(--cds-color-text-default);
    text-align: center;
    padding: 4px 16px 4px 8px;
    margin-right: -1px;
    border: 1px solid var(--cds-color-border-default);
    transition: all 0.1s ease-in-out;
    display: flex;
    align-items: center;
    gap: 8px;
}

.switch-field label:hover {
    cursor: pointer;
}

.switch-field input:checked+label {
    background-color: var(--cds-color-background-deep-hover);
}

.switch-field label:first-of-type {
    border-radius: 50px 0 0 50px;
}

.switch-field label:last-of-type {
    border-radius: 0 50px 50px 0;
}